Subject: Re: bug#67848: 29.1; Fix usage of `setq-default' and add explanation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2023 13:20:41 +0200

> From: Xiyue Deng <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 23 Dec 2023 02:09:29 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Xiyue Deng <[email-masked]>
> >> Date: Sat, 16 Dec 2023 03:18:20 -0800
> >> 
> >> 
> > Thanks, but I think it's wrong to use setq-default here, since that
> > makes Text mode the default major-mode (instead of Fundamental), which
> > is not what most people would want.
> 
> Actually making text-mode the default mode for new files is exactly what
> the author intended based on the text from an earlier section[1].

I know, but I don't want that to be said without reservations, or not
at all.  The author's hope was that there will be many readers of this
manual who are not programmers, and who would then prefer Text mode as
the default.  We are now a few decades wiser, and we know that hope
didn't really materialize.  So we should not advertise such a setting
without some explanations.

> Of course, whether this is a good advice is a slightly different matter,
> and may be worth discussing in a footnote if it sounds worth doing.  But
> based on the text flow setting the new default major-mode should not be
> changed IMHO.

Sorry, I disagree, for the reasons explained above.

Thanks.